#
# spec file for package cloop (Version 2.01)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kernel-source kernel-syms klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

# Commandline: 
Name:           cloop
BuildRequires:  kernel-source kernel-syms
License:        GPL
Group:          System/Base
Version:        2.01
Release:        22.2
Source0:        %{name}_%{version}-1.tar.gz
Source1:        Makefile
Patch0:         %{name}-largefile-patch
Patch1:         %{name}-kernel-2.6.8-patch
Patch2:         %{name}-not-in-mem
Patch3:         %{name}-buffercount-fix
Patch4:         convert-MODULE_PARM.diff
Url:            http://developer.linuxtag.net/knoppix/sources/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Transparently Decompressing Loopback Block Device Utilities
%suse_kernel_module_package kdump um

%description
Utilities to create and read cloop image files.



Authors:
--------
    Paul "Rusty" Russel
    Klaus Knopper

%debug_package
%package KMP
Group:          System/Base
Summary:        Transparently Decompressing Loopback Block Device Utilities

%description KMP
Utilities to create and read cloop image files.



Authors:
--------
    Paul "Rusty" Russel
    Klaus Knopper

%prep
%setup -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3
%patch4 -p1

%build
gcc -O2 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DGNU_SOURCE -o create_compressed_fs create_compressed_fs.c -lz 
gcc -O2 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DGNU_SOURCE -o extract_compressed_fs extract_compressed_fs.c -lz 
mkdir source obj
cp compressed_loop.{c,h} %_sourcedir/Makefile source/
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	 M=$PWD/obj/$flavor
done

%install
[ "$RPM_BUILD_ROOT" != "" -a -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/usr/sbin
cp -p *_compressed_fs $RPM_BUILD_ROOT/usr/sbin/.
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor
done

%clean
[ "$RPM_BUILD_ROOT" != "" -a -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc README debian/changelog
/usr/sbin/*_compressed_fs

%changelog -n cloop
* Sun Apr 02 2006 - agruen@suse.de
- convert-MODULE_PARM.diff: Convert from the obsolete MODULE_PARM
  to the new module_param.
* Fri Mar 03 2006 - snwint@suse.de
- create_compressed_fs liked to add zero-length buffer and failed
* Sat Feb 04 2006 - agruen@suse.de
- Convert to a Kernel Module Package.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri May 27 2005 - ro@suse.de
- remove nonsense from neededforbuild
* Thu Mar 17 2005 - duwe@suse.de
- if input size is known and output is seekable,
  don't keep the resulting cfs in RAM
* Thu Sep 02 2004 - duwe@suse.de
- ported to kernel 2.6.8
